<!-- corner radius section -->
<md-list class="wb-setting-panel"> 

	<!-- SECTION: General Settings -->
    <md-subheader class="md-no-sticky">General
    	<md-button class="md-icon-button" ng-click="add()">
			<wb-icon>add</wb-icon>
		</md-button>
    </md-subheader>

	<wb-ui-setting-on-off-switch 
		title="Autoplay?" 
		icon="play_circle_outline" 
		value="wbModel.autoplay">
	</wb-ui-setting-on-off-switch>

	<wb-ui-setting-number 
		ng-show="wbModel.autoplay"
    	title="Time (millisecond)" 
    	icon="schedule" 
    	value="wbModel.autoplayTime">
    </wb-ui-setting-number>


	<!-- SECTION: Settings for Slides -->
	<md-subheader layout="row"
		ng-repeat-start="slide in wbModel.slides"
		class="md-no-sticky">
		<span>Settings for slide {{$index + 1}}</span>
		<span flex></span>
		<md-button class="md-icon-button" ng-click="remove($index)">
			<wb-icon>delete</wb-icon>
		</md-button>
	</md-subheader>
	<wb-ui-setting-image
		value="slide.image" 
		title="Image" 
		aria-label="Image">
	</wb-ui-setting-image>
	<md-input-container 
		ng-repeat-end
		class="md-icon-float md-block">
		<label>Caption</label>
		<input ng-model="slide.caption" 
			type="text" 
			aria-label="Caption" >
	</md-input-container>

</md-list>
